> For the complete documentation index, see [llms.txt](https://docs.bisnode.ee/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bisnode.ee/general-information/getcontacts.md).

# getContacts

## getContacts

<mark style="color:green;">`POST`</mark> `https://in.bisnode.ee/rest/getContacts`

**Needed Headers:** Content-type: application/json\
\
This endpoint allows you to get company contacts such as:\
`* Address`\
`* WWW`\
`* E-mail`\
`* Telephone`\
`* FAX`\
\
Example Curl request:\
`curl -X POST -k -H 'Content-type: application/json' -i 'https://in.bisnode.ee/rest/getContacts' --data '{`\
&#x20;   `"token": "0c725874e737c8195de547f67692d8b976726561",`\
&#x20;   `"reg_code": "10117826",`\
&#x20;   `"country": "EST",`\
&#x20;   `"language": "en"`\
`}'`

#### Query Parameters

| Name      | Type   | Description                                                          |
| --------- | ------ | -------------------------------------------------------------------- |
| language  | string | 2-letter language code. Must be "en", "et" or "ru". Default is "en". |
| token     | string | Your 'access token' (API key).                                       |
| reg\_code | string | Company registration number.                                         |
| country   | string | 3-letter country code "EST" or "LVA". Default is "EST".              |

{% tabs %}
{% tab title="200 " %}

```javascript
[
    {
        "type": "Address",
        "type_code": "ADDRESS",
        "content": "Endla tn 15, 10122, Tallinn, Harju maakond, Eesti Vabariik"
    },
    {
        "type": "Internet address (www)",
        "type_code": "WWW",
        "content": "www.bisnode.ee"
    },
    {
        "type": "E-mail address",
        "type_code": "EMAIL",
        "content": "info@bisnode.ee"
    },
    {
        "type": "Telephone",
        "type_code": "TEL",
        "content": "+372 641 4910"
    },
    {
        "type": "Fax",
        "type_code": "FAX",
        "content": "+372 641 4910"
    }
]
```

{% endtab %}

{% tab title="400 Invalid country code" %}

```javascript
{
    "error": "error",
    "code": 400,
    "message": "Only EST and LVA countries are supported in this request"
}
```

{% endtab %}

{% tab title="401 Invalid token" %}

```javascript
{
    "error": "error",
    "code": 401,
    "message": "Token is wrong"
}
```

{% endtab %}

{% tab title="402 Not enough credit" %}

```javascript
{
    "error": "error",
    "code": 402,
    "message": "Monthly requests limit exceeded"
}
```

{% endtab %}

{% tab title="403 " %}

```javascript
{
    "error": "error",
    "code": 403,
    "message": "This request is not allowed for you"
}
```

{% endtab %}

{% tab title="404 Could not find a company matching this query" %}

```javascript
{
    "error": "error",
    "code": 404,
    "message": "No such company"
}
```

{% endtab %}

{% tab title="409 " %}

```javascript
{
    "error": "error",
    "code": 409,
    "message": "Something went wrong"
}
```

{% endtab %}

{% tab title="422 Validation failed" %}

```javascript
{
    "error": "error",
    "code": 422,
    "message": "Schema validation error"
}
```

{% endtab %}

{% tab title="423 " %}

```javascript
{
    "error": "error",
    "code": 423,
    "message": "Locked. Wait for previous request to complete"
}
```

{% endtab %}

{% tab title="500 " %}

```javascript
{
    "error": "error",
    "code": 500,
    "message": "Internal Server Er
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bisnode.ee/general-information/getcontacts.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
